Resource
Digital Products
Shopify products or variants with files attached, their delivery, pre-order and update-email settings.
The digital product object
Attributes
idstring, nullableExample:7ea3c05d-6f29-42b6-b24f-43260caeaa32scopestring, nullableExample:productshopify_product_idstring, nullableExample:gid://shopify/Product/9642107044135shopify_variant_idanytitlestring, nullableExample:Watercolour Coursevariant_titleanyskuanyexists_on_shopifyanyfilesarray of objectsShow 5 child attributesHide child attributes
idstring, nullableExample:7ea42f2a-6dbe-459c-b8a4-27b0eb823e52namestring, nullableExample:price-list.csvtypestring, nullableExample:filebyte_sizeinteger, nullableExample:100634folderany
foldersarray of anysdeliveryobjectShow 2 child attributesHide child attributes
messageanyattach_to_every_orderboolean, nullableExample:false
preorderobjectShow 4 child attributesHide child attributes
enabledboolean, nullableExample:falselaunch_atanyreleasedboolean, nullableExample:trueemailobjectShow 3 child attributesHide child attributes
subjectanyheadinganydescriptionany
update_emailobjectShow 2 child attributesHide child attributes
subjectanybodyany
orders_countinteger, nullableExample:46created_atstring, nullableExample:2025-05-31T13:37:52Zupdated_atstring, nullableExample:2025-05-31T13:37:52Z
Endpoints
- GET
/digital_products - POST
/digital_products - GET
/digital_products/{id} - PATCH
/digital_products/{id} - DEL
/digital_products/{id} - POST
/digital_products/{id}/files/attach - POST
/digital_products/{id}/files/detach - POST
/digital_products/{id}/notify_buyers - POST
/digital_products/{id}/refresh - GET
/digital_products/deleted_on_shopify - GET
/digital_products/lookup
The digital product object
{
"id": "7ea3c05d-6f29-42b6-b24f-43260caeaa32",
"scope": "product",
"shopify_product_id": "gid://shopify/Product/9642107044135",
"shopify_variant_id": null,
"title": "Watercolour Course",
"variant_title": null,
"sku": null,
"exists_on_shopify": null,
"files": [
{
"id": "7ea42f2a-6dbe-459c-b8a4-27b0eb823e52",
"name": "price-list.csv",
"type": "file",
"byte_size": 100634,
"folder": null
},
{
"id": "96fbe30b-c819-4cb8-9666-814c0c8853f1",
"name": "Beginner's Guide.pdf",
"type": "file",
"byte_size": 116711,
"folder": null
}
],
"folders": [],
"delivery": {
"message": null,
"attach_to_every_order": false
},
"preorder": {
"enabled": false,
"launch_at": null,
"released": true,
"email": {
"subject": null,
"heading": null,
"description": null
}
},
"update_email": {
"subject": null,
"body": null
},
"orders_count": 46,
"created_at": "2025-05-31T13:37:52Z",
"updated_at": "2025-05-31T13:37:52Z"
}